Should use official "Keywords" instead of X-GNOME-Keywords

Bug #949849 reported by Sebastien Bacher on 2012-03-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Activity Log Manager
Low
Manish Sinha (मनीष सिन्हा)
activity-log-manager (Ubuntu)
Low
Didier Roche
deja-dup (Ubuntu)
Wishlist
Michael Terry
language-selector (Ubuntu)
Low
Unassigned
pkgbinarymangler (Ubuntu)
Low
Unassigned
system-config-printer (Ubuntu)
Low
Till Kamppeter

Bug Description

Currently X-GNOME-Keywords is stripped from desktop, we should add "Keywords" to the list, patch coming in a bit but just to check do you want to keep compat for X-GNOME-Keywords still and just update the few sources using it before precise?

Related branches

Sebastien Bacher (seb128) wrote :

sources still using X-GNOME-Keywords on my install:

activity-log-manager
deja-dup
language-selector
system-config-printer

Changed in pkgbinarymangler (Ubuntu):
status: New → In Progress
importance: Undecided → Low
summary: - Should strip "Keywords" as well
+ Should support,use official "Keywords"
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pkgbinarymangler - 116

---------------
pkgbinarymangler (116) precise; urgency=low

  * pkgstriptranslations: change X-GNOME-Keywords to official Keywords
    (lp: #949849)
 -- Sebastien Bacher <email address hidden> Thu, 08 Mar 2012 18:59:11 +0100

Changed in pkgbinarymangler (Ubuntu):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Ah, Seb already committed it to the branch, just got a local conflict :-) Thanks.

Changed in language-selector (Ubuntu):
status: New → Fix Committed
Changed in system-config-printer (Ubuntu):
assignee: nobody → Till Kamppeter (till-kamppeter)
status: New → Triaged
Changed in deja-dup (Ubuntu):
status: New → Triaged
assignee: nobody → Michael Terry (mterry)
Changed in activity-log-manager (Ubuntu):
status: New → Triaged
summary: - Should support,use official "Keywords"
+ Should use official "Keywords" instead of X-GNOME-Keywords
Sebastien Bacher (seb128) wrote :

setting deja-dup to wishlist, it seems to be using both Keywords and X-GNOME-Keywords

Changed in deja-dup (Ubuntu):
importance: Undecided → Wishlist
Sebastien Bacher (seb128) wrote :

Didier, can you get activity-log-manager upstream to fix theirs? you probably know who to ping

Changed in activity-log-manager (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → Low
Changed in language-selector (Ubuntu):
importance: Undecided → Low
Changed in system-config-printer (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.72

---------------
language-selector (0.72) precise; urgency=low

  [ Sebastien Bacher ]
  * data/language-selector.desktop.in:
    - use official "Keywords" rather than "X-GNOME-Keywords" (LP: #949849)

  [ Martin Pitt ]
  * LanguageSelector/qt/QtLanguageSelector.py: Kubuntu's package manager is
    "Muon", not "Adept". Also update all messages in po/*.po to avoid breaking
    existing translations. (LP: #628653)
  * LanguageSelector/gtk/GtkLanguageSelector.py: Fix crash in
    updateLocaleChooserCombo() if tree model is not yet set. (LP: #945494)
  * debian/language-selector-common.postinst: Do not fail configuring if D-BUS
    does not give us the PID of a running ls-dbus-backend. (LP: #766672)
 -- Martin Pitt <email address hidden> Fri, 09 Mar 2012 16:34:49 +0100

Changed in language-selector (Ubuntu):
status: Fix Committed → Fix Released
Michael Terry (mterry) wrote :

Deja Dup will use both for the 22 release. 24 will drop the deprecated key. But I'm not sure why Ubuntu needs to care, as long as the new "Keywords" exists. So I'll close this part of the bug out.

Changed in deja-dup (Ubuntu):
status: Triaged → Won't Fix
Sebastien Bacher (seb128) wrote :

Ubuntu doesn't "care" that you use both, but X-GNOME-Keywords will not get translated through gettext so it's important that we use the new keywords in precise to get translations, deja-dup is fine it was just a false positive in the X-GNOME-Keywords grepping

Michael Terry (mterry) wrote :

(Right, yeah. I didn't mean to sound belligerent. I just meant, Ubuntu doesn't need a bug tracking whether deja-dup's dropped the old key as long as it has the new one.)

Sebastien Bacher (seb128) wrote :

(no worry you didn't ;-) we just added the things that showed in rdepends so we are sure to not overlook something, anyway the transition is done so it's all good!)

Changed in activity-log-manager:
assignee: nobody → Manish Sinha (मनीष सिन्हा) (manishsinha)
importance: Undecided → Low
milestone: none → 0.9.4
status: New → In Progress
Changed in activity-log-manager:
status: In Progress → Fix Committed
Changed in activity-log-manager:
milestone: 0.9.4 → none
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package activity-log-manager - 0.9.4-0ubuntu1

---------------
activity-log-manager (0.9.4-0ubuntu1) precise; urgency=low

  * New upstream release
    - make Diagnositics tab translatable (LP: #957891, #958483)
    - X-GNOME-Keywords is changed to Keywords (LP: #949849)
    - Fix untranslated strings in Application and History tab
    - Add border to folder blacklist TreeView
    - Fixed a segmentation fault dued to null pixbufs.
    - Make the AppSelection dialog to be orderer automatically by usage.
    - Force the size of the blacklisted directory's text to be consistent
      with the size of the label above.
    - Use "gtk-execute" as application's icon if the application's icon
      isn't in the current IconTheme.
    - Added "Today" and "Yesterday" instead of the date, matching the mockup.
    - The Folders blacklisted have icons if they are special folders
    - The blacklisted Folders list show the folder name and the folder
      path for each entry
    - [UIFe] Blacklisted special folder icons (from nautilus). (LP: #960498)
  * debian/watch:
    - update to latest upstream url
  * debian/control:
    - bump Standards-Version
 -- Didier Roche <email address hidden> Wed, 21 Mar 2012 11:16:03 +0100

Changed in activity-log-manager (Ubuntu):
status: Triaged → Fix Released

"X-GNOME-Keywords" does not exist in the .desktop files of system-config-printer, bug "X-GNOME-Autostart-Delay" delay exists in system-config-printer's print-applet.desktop.in file. Should I replace it by "Autostart-Delay"?

Changed in system-config-printer (Ubuntu):
status: Triaged → Incomplete
Sebastien Bacher (seb128) wrote :

Till, taking the precise source:

$ grep Keyword system-config-printer-1.3.8+20120201 -r
system-config-printer-1.3.8+20120201/debian/patches/05_menu_entries.patch:+X-GNOME-Keywords=Printer;Queue;Print;Paper;Ink;Toner;

what version do you use? that's 1.3.8+20120201-0ubuntu1 I'm looking at there

Thanks, Seb. Sorry, I overlooked the patches. I will fix this soon.

Changed in system-config-printer (Ubuntu):
status: Incomplete → Triaged
Changed in system-config-printer (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.8+20120201-0ubuntu7

---------------
system-config-printer (1.3.8+20120201-0ubuntu7) precise; urgency=low

  * debian/patches/05_menu_entries.patch: Replaced "X-GNOME-Keywords"
    by "Keywords" in system-config-printer.desktop (LP: #949849).
 -- Till Kamppeter <email address hidden> Thu, 22 Mar 2012 20:31:31 +0100

Changed in system-config-printer (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers